#include <stdio.h>

main()  /* Vorrang  und bitorientierte Operatoren */
{
    int x=3, y=2, z=1;

    printf("x = %d, y = %d, z = %d\n", x, y, z);
    printf("x | y & z  => %d\n", x | y & z );
    printf("x | y & ~z => %d\n", x | y & ~z);
    printf("x ^ y & ~z => %d\n", x ^ y & ~z);
    printf("x & y && z => %d\n", x & y && z);
    printf("! z | z    => %d\n", ! z | z   );
    printf("~ z | z    => %d\n", ~ z | z   );
    printf("z ^ z      => %d\n", z ^ z     );
    printf("z<<3       => %d\n", z=z<<3    );
    printf("(-1)<<3    => %d\n", (-1)<<3   );
}
